Debian Bug report logs - #285653
defoma should migrate to an alternative to libft-perl

version graph

Package: defoma; Maintainer for defoma is Debian QA Group <packages@qa.debian.org>;

Reported by: Erik Meitner <emeitner@f2o.org>

Date: Tue, 14 Dec 2004 16:48:13 UTC

Severity: serious

Tags: patch

Merged with 478983, 514635, 522246

Found in versions 0.11.8-0.1, defoma/0.11.10-0.2

Fixed in version defoma/0.11.10-1

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#285653; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to Erik Meitner <emeitner@f2o.org>:
New Bug report received and forwarded. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik Meitner <emeitner@f2o.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: defoma does not depend on libft-perl though defoma-hints needs it
Date: Tue, 14 Dec 2004 10:40:13 -0600
Package: defoma
Version: 0.11.8-0.1
Severity: normal


The defoma package should depend upon libft-perl so that defoma-hints can run properly:

$ defoma-hints truetype /usr/share/fonts/truetype/sa/SAFon*
Wait for second...
defoma-hints Can't locate FreeType.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.4 /usr/local/share/perl/5.8.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at (eval 3) line 2.




-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-nx9005-1
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages defoma depends on:
ii  dialog                    1.0-20041118-1 Displays user-friendly dialog boxe
ii  file                      4.12-1         Determines file type using "magic"
ii  perl                      5.8.4-3        Larry Wall's Practical Extraction 
ii  whiptail                  0.51.6-20      Displays user-friendly dialog boxe

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#285653; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #10 received at 285653@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: control@bugs.debian.org
Cc: 285653@bugs.debian.org
Subject: setting package to defoma, severity of 285653 is important
Date: Tue, 05 Feb 2008 10:29:05 +0100
# Automatically generated email from bts, devscripts version 2.10.13
package defoma
# makes defoma-hints unusable
severity 285653 important





Severity set to `important' from `normal' Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Tue, 05 Feb 2008 09:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#285653; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.co.uk>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #17 received at 285653@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.co.uk>
To: 285653@bugs.debian.org
Subject: Re: defoma does not depend on libft-perl though defoma-hints needs it
Date: Thu, 29 May 2008 00:35:45 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This bug has been ignored for 3 years and 166 days.  libft-perl is
unmaintained and doesn't work with Perl 5.10.  Also see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478983

Hence I'm about to request libft-perl's removal from Debian, and I shall
change this bug's title to something like "defoma formerly depended on
libft-perl - please migrate to modern Perl FreeType library".
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIPexQdt451jNP7ekRArFVAJ9Exttciq/sSmiWmfMat0sx9g4WWwCfZSpC
oOqwfNxsxescrXbBdIa1TD8=
=a12R
-----END PGP SIGNATURE-----




Changed Bug title to `defoma should migrate to an alternative to libft-perl' from `defoma does not depend on libft-perl though defoma-hints needs it'. Request was from Antony Gelberg <antony.gelberg@wayforth.co.uk> to control@bugs.debian.org. (Thu, 29 May 2008 00:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#285653; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #24 received at 285653@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Antony Gelberg <antony.gelberg@wayforth.co.uk>, 285653@bugs.debian.org
Subject: Re: Bug#285653: defoma does not depend on libft-perl though defoma-hints needs it
Date: Tue, 22 Jul 2008 13:29:51 +0200
[Message part 1 (text/plain, inline)]
also sprach Antony Gelberg <antony.gelberg@wayforth.co.uk> [2008.05.29.0135 +0200]:
> This bug has been ignored for 3 years and 166 days.  libft-perl is
> unmaintained and doesn't work with Perl 5.10.  Also see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478983
> 
> Hence I'm about to request libft-perl's removal from Debian, and I shall
> change this bug's title to something like "defoma formerly depended on
> libft-perl - please migrate to modern Perl FreeType library".

Please do!

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Angus Lees <gus@debian.org>:
Bug#285653; Package defoma. Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
Extra info received and forwarded to list. Copy sent to Angus Lees <gus@debian.org>. Full text and rfc822 format available.

Message #29 received at 285653@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: 285653@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#285653: defoma should migrate to an alternative to libft-perl
Date: Thu, 11 Sep 2008 00:58:55 +0100
martin f krafft wrote:
> also sprach Antony Gelberg <antony.gelberg@wayforth.co.uk> [2008.05.29.0135 +0200]:
>> This bug has been ignored for 3 years and 166 days.  libft-perl is
>> unmaintained and doesn't work with Perl 5.10.  Also see
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478983
>>
>> Hence I'm about to request libft-perl's removal from Debian, and I shall
>> change this bug's title to something like "defoma formerly depended on
>> libft-perl - please migrate to modern Perl FreeType library".
> 
> Please do!
> 

I never did, as I didn't have the time to look into the implications. 
However, the package has been removed, see 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=279824.

As to defoma's future, who knows, but I suppose it's best to keep this 
bug open for now, as the title is still relevant.

Antony




Merged 285653 478983. Request was from Delirium <delirium@hackish.org> to control@bugs.debian.org. (Thu, 22 Jan 2009 01:27:06 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Sun, 15 Feb 2009 13:18:05 GMT) Full text and rfc822 format available.

Forcibly Merged 285653 478983 522246. Request was from Jan Hauke Rahm <info@jhr-online.de> to control@bugs.debian.org. (Tue, 07 Jul 2009 10:39:04 GMT) Full text and rfc822 format available.

Forcibly Merged 285653 478983 514635 522246. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 18 Aug 2009 23:42:06 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:03 GMT) Full text and rfc822 format available.

Notification sent to Erik Meitner <emeitner@f2o.org>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 285653-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 285653-close@bugs.debian.org
Subject: Bug#285653: fixed in defoma 0.11.10-1
Date: Tue, 18 Aug 2009 23:47:07 +0000
Source: defoma
Source-Version: 0.11.10-1

We believe that the bug you reported is fixed in the latest version of
defoma, which is due to be installed in the Debian FTP archive:

defoma-doc_0.11.10-1_all.deb
  to pool/main/d/defoma/defoma-doc_0.11.10-1_all.deb
defoma_0.11.10-1.dsc
  to pool/main/d/defoma/defoma_0.11.10-1.dsc
defoma_0.11.10-1.tar.gz
  to pool/main/d/defoma/defoma_0.11.10-1.tar.gz
defoma_0.11.10-1_all.deb
  to pool/main/d/defoma/defoma_0.11.10-1_all.deb
psfontmgr_0.11.10-1_all.deb
  to pool/main/d/defoma/psfontmgr_0.11.10-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285653@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated defoma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Tue, 18 Aug 2009 16:15:28 -0700
Source: defoma
Binary: defoma defoma-doc psfontmgr
Architecture: source all
Version: 0.11.10-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 defoma     - Debian Font Manager -- automatic font configuration framework
 defoma-doc - Debian Font Manager documentation
 psfontmgr  - PostScript font manager -- part of Defoma, Debian Font Manager
Closes: 285653 514635
Changes: 
 defoma (0.11.10-1) unstable; urgency=low
 .
   * QA upload.
   * Fix dependency on libftp-perl (Closes: #514635, #285653)
Checksums-Sha1: 
 f9db9d4509dc66dcf2891b9473ccbf755181724f 771 defoma_0.11.10-1.dsc
 f2d681e7001940326e19eb0a469118df48731614 151888 defoma_0.11.10-1.tar.gz
 bbd7276884d11ac06e6532b972ee14b4f5ddaeb6 99066 defoma_0.11.10-1_all.deb
 4a1f598ce68993047920be2d7a833ae020722531 63130 defoma-doc_0.11.10-1_all.deb
 416666caaae0493b04587fad966a218d67f1dd36 22330 psfontmgr_0.11.10-1_all.deb
Checksums-Sha256: 
 fee0338ba0dcbd60614bf18a2c78a49f2f091d9e77283a80c60aa1002501e605 771 defoma_0.11.10-1.dsc
 e0ec0c344547be91365b6f6ad5cd48c9b1b5cd2c67cc04029deaec65bf6f78f0 151888 defoma_0.11.10-1.tar.gz
 f35e257f1dc27dd44a51824866d6d36f56611c098c397b15194a938583bdb3b4 99066 defoma_0.11.10-1_all.deb
 35f1d563a10177ceb07036d96d4c58dd158c53bbe230a6a7099fdba7ab6860b5 63130 defoma-doc_0.11.10-1_all.deb
 fd3b46ac48aad2a5762cd19503b2f80f777170f074867dd03c1ce8cff49275b2 22330 psfontmgr_0.11.10-1_all.deb
Files: 
 1d1ff1d4dc1d29aae2a258a598ba5566 771 admin optional defoma_0.11.10-1.dsc
 935931bf4e920170690632210f6ffa86 151888 admin optional defoma_0.11.10-1.tar.gz
 cf28125a3280cd1e0fc9421c1696cd04 99066 admin optional defoma_0.11.10-1_all.deb
 433bd8c8bcfc9862d559601c711b9353 63130 doc optional defoma-doc_0.11.10-1_all.deb
 2fc5d42361b59c7b9d9c2c6e5e072ae7 22330 admin optional psfontmgr_0.11.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKizyGgcCJIoCND9ARAyH2AKClQ7cEWdZ0fTXGnkQGd5MybTKAmwCfdEYT
WeBiIyxpIKBTmtDzkrnd6DI=
=xyAG
-----END PGP SIGNATURE-----





Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:04 GMT) Full text and rfc822 format available.

Notification sent to nutzteil@web.de:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:04 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:05 GMT) Full text and rfc822 format available.

Notification sent to "K.-M. Hansche" <debianbug@hansche.de>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:05 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 00:00:06 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Baryshev <ksquirrel.iv@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 00:00:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:56:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:00:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.